@font-face {
  font-family: 'hebrew_light';
  src: url('../assets/fonts/BMW/BMWTypeNextProHebrew-Light.otf');
}
@font-face {
  font-family: 'hebrew_bold';
  src: url('../assets/fonts/BMW/BMWTypeNextProHebrew-Bold.otf');
}

@font-face {
  font-family: 'hebrew_regular';
  src: url('../assets/fonts/BMW/BMWTypeNextProHebrew-Regular.otf');
}

@font-face {
  font-family: 'light';
  src: url('../assets/fonts/BMW/BMWTypeNext-Light.otf');
}

@font-face {
  font-family: 'regular';
  src: url('../assets/fonts/BMW/BMWTypeNext-Regular.otf');
}

* {
  padding: 0;
  margin: 0;
  direction: rtl;
  box-sizing: border-box;
}
.desktop { display: block; }
.desktop-inline { display: inline-block; }

html {
    scroll-behavior: smooth;
}


.main_container{
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: black;
    
}

.header-container{
    aspect-ratio: 1920 / 1374;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    color: white;
    background-image: url('../assets/header_desk.jpg');
    background-repeat: no-repeat;
    background-position: top center;
    padding-bottom: 4.22vw;
    position: relative;
    background-size: contain;
}

.logo{
    position: absolute;
    top: 2.5vw;
    left: 1.98vw;
    object-fit: contain;
    width: 5.07vw;
}



.text-between-lines-container{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 64.79%;
}

.text-between-lines-container > hr{
    width: 36.33%;
    border: none;
    border-top: 1px solid white;
}

.text-between-lines-container > p{
    /* width: 27.33%; */
    /* border: none;
    border-top: 1px solid white; */
    font-size: 2.24vw;
    font-family: 'hebrew_light';
    line-height: 2.19vw;
}

.huge-text{
    font-size: 6.67vw;
    /* line-height: 2.19vw; */
    font-family: 'regular';
    letter-spacing: 8%;
}

.long-line{
    border: none;
    border-top: 1px solid white;
    width: 64.79%;
}

.header-f-text{
    font-size: 2.34vw;
    line-height: 2.19vw;
    font-family: 'light';
    letter-spacing: 8%;
}

.header-f-text{
    font-size: 1.56vw;
    line-height: 2.19vw;
    font-family: 'hebrew_light';
    letter-spacing: -1%;
    text-align: center;
    /* direction: ltr; */


}


#header-f-text-desktop{
    font-size: 2.34vw;
    line-height: 2.19vw;
    font-family: 'light';
    letter-spacing: 8%;
    margin-top: 3.33vw;
    margin-bottom: 1.33vw;
}


.header-f-text > span{
 font-family: 'hebrew_regular';
}


.video-section-container{
    aspect-ratio: 1920 / 850;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: end;
    position: relative;
}

.video-section-container > video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}
.video-section-container > iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    /* object-fit: cover; */
    z-index: 1;
}

.video-text{
    padding: 0 4.97vw 4.11vw 0;
    font-size: 1.56vw;
    line-height: 1.93vw;
    font-family: 'hebrew_light';
    letter-spacing: -1%;
    /* text-align: center; */
    color: white;
    z-index: 2;
    /* display: none; */
}


.video-text > span{
    font-size: 1.56vw;
    line-height: 1.93vw;
    font-family: 'hebrew_bold';
    letter-spacing: -1%;
    /* text-align: center; */
    color: white;
    
}

.swiper-section-container{
    aspect-ratio: 1920 / 769;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.swiper-container{
    width: 95.31%;
    margin-top: 8.44vw;
    margin-bottom: 3.39vw;
   
   
}

.swiper-title{
    color: white;
    font-family: 'hebrew_light';
    font-size: 3.13vw;
    /* line-height: 1.93vw; */
    letter-spacing: 3%;
    /* direction: ltr; */
    margin-bottom: 3.39vw;
    margin-right: 1.82vw;
}

.swiper-slide-inner-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.61vw;
    /* width: fit-content; */
}

.swiper-slide-inner-container > img{
    width: 21.67vw;
    height: 16.04vw;

}

.slide-text{
    font-size: 1.2vw;
    /* line-height: 1.98vw; */
    font-family: 'light', 'hebrew_light';
    letter-spacing: unset;
    text-align: center;
    color: white;
}


.form-section-container{
    aspect-ratio: 1920 / 385;
    width: 100%;
    display: flex;
    align-items: start;
    
    justify-content: center;
    z-index: 10000;
    background-color: transparent;
    
    position: sticky;
    bottom: -13vw;
}



#form-section-container.is-sticky > .form-container{
    /* background-color: #fc5050; */
    height: unset;

}
#form-section-container.is-sticky > .form-container > .form-inner-container > .form-title{
    /* background-color: #fc5050; */
    margin-bottom: 1vw;
}

#form-section-container.is-sticky > .form-container > .form-inner-container > .form > input {
    /* background-color: #fc5050; */
    margin-bottom: 0.5vw !important;
    height: 3vw !important;
}
#form-section-container.is-sticky > .form-container > .form-inner-container > .form >  #showroom {
    /* background-color: #fc5050; */
    margin-bottom: 0.5vw !important;
    height: 3vw !important;
}
#form-section-container.is-sticky > .form-container > .form-inner-container > .form > #submit_btn{
    /* background-color: #fc5050; */
    margin-bottom: 0.5vw !important;
    height: 3vw !important;
}

.form-container{
    /* height: 15.63vw; */
    height: 17.63vw;
    width: 93.52vw;
    /* background-color: #242424; */
    background-color: #444444f0;
  
    border-radius: 1.93vw;
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    align-items: right;
    justify-content: center;

}

.thx-msg{
    font-family: "hebrew_bold";
    font-size: 4.41vw;
    /* line-height: 1.3vw; */
    /* letter-spacing: -1%; */
    color: #BBBCBB;
    align-self: center;
}

.form-inner-container{
    /* width: 97.16%; */
    margin-right: 2.55vw;
    margin-top: 0.63vw;
}

.form-title{
    font-family: "hebrew_bold";
    font-size: 1.41vw;
    line-height: 1.3vw;
    letter-spacing: -1%;
    color: #BBBCBB;
    margin-bottom: 2vw;
}

.form-title > span{
    font-family: "hebrew_light";
    letter-spacing: 0%;
    color: #BBBCBB;
}

.form{
    display: flex;
    flex-direction: row;
    gap: 1.04vw
}

.input{
    width: 12.76vw;
    height: 3.54vw;
    font-family: "hebrew_regular";
    font-size: 1.25vw;
    line-height: 1.3vw;
    color: #BBBCBB;
    padding-right: 1.13vw;
    background-color: #141414;
    border: none;
}

#showroom{
     width: 12.76vw;
    height: 3.54vw;
    font-family: "hebrew_regular";
    font-size: 1.25vw;
    line-height: 1.3vw;
    color: #BBBCBB;
    padding-right: 1.13vw;
    background-color: #141414;
    border: none;
}



.input::placeholder{

    font-family: "hebrew_regular";
    font-size: 1.25vw;
    line-height: 1.3vw;
    color: #BBBCBB;

    background-color: #141414;
    border: none;
}



.submit_btn{
    width: 16.77vw;
    height: 3.54vw;
    background-color: #006FBA;
    border: none;
    color: white;

    font-family: "hebrew_regular";
    font-size: 1.25vw;
    line-height: 1.3vw;
    text-align: center;

}

.links-3{
    display: flex;
    flex-direction: row;
    gap: 1.56vw;
    margin-right: 1vw;
    margin-top: 1vw;


 
}

.links-3 > a{
    font-family: 'hebrew_light';
    font-size: 0.94vw;
    line-height: 1.3vw;
    letter-spacing: 0%;
    text-decoration: underline;
    color: #BBBCBB;
    

}

.terms{
    color: #BBBCBB;
    font-family: 'hebrew_light';
    font-size: 0.94vw;
    line-height: 0.99vw;
    letter-spacing: 0%;
    margin-top: 1vw;
}


.checkbox_container{
    display: flex;
    flex-direction: row;
    gap: 1vw;
    margin-top: 1vw;
    align-items: center;
}

.checkbox_label{
    color: #BBBCBB;
    font-family: 'hebrew_light';
    font-size: 0.94vw;
    line-height: 0.99vw;
    letter-spacing: 0%;
    /* margin-top: 1vw; */
    
}




.fixed-btn-container{
    position: fixed;
    z-index: 9999;
    bottom: 3vw;
    left: 3vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.09vw; 
}
.fixed-btn-container > a{
    text-decoration: none;
    z-index: 9999;
}


.fixed-btn-img{
    object-fit: contain;
    width: 5.54vw;
}
.fixed-btn-text{
    text-align: center;
    color: white;
    font-family: 'hebrew_light';
    font-size: 1.41vw;
    line-height: 1.56vw;
    
}

.swiper-video{
    aspect-ratio: 1920 / 911;
    width: 89.13vw;
	height: 42.29vw;
    margin: auto;
    background-color: black;
}

.swiper-slide > a{
    cursor: pointer;
}


.close-btn{
    width: 3%;
    aspect-ratio: 1 / 1;
    z-index: 9999;
    font-size: 2vw;
    position: absolute;
}

.strip-container {
  height: 2.5vw;
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  background-color: white;

}

.strip{
  object-fit: contain;
  /* max-width: 100%; */
  max-width: 90%;
  height: 70%;
  margin-top: unset;
  margin-bottom: unset;
  cursor: pointer;
}


#pollutionDialog {
  display: none;
  flex-direction: column;
  position: fixed;
  margin: auto;
  border: 0;
  border-radius: 12px;
}

#dialog_close_btn {
  user-select: none;
  width: fit-content;
  border: 0;
  cursor: pointer;
  font-size: 2vw;
  padding: 0.3vw 1vw;
}

#pollutionDialog img {
  height: 30vw;
  width: 90vw;
  object-fit: contain;
}



.mobile { display: none; }
.error::placeholder { 
    color: #fc5050;
    font-size: 1.1vw;
    /* padding: unset; */
}
.error { 
    outline: 1px solid #fc5050;
    padding: 0;

}



/* @media screen and (max-aspect-ratio: 1/1), screen and (max-width: 768px) { */
@media screen and (max-width: 768px) {
    .mobile { display: block; }

    .header-container{
        background-image: url('../assets/header_mob.jpg');
        aspect-ratio: 640 / 1156;
        background-size: contain;
        
    }

    
    .logo{
        position: absolute;
        top: 4.69vw;
        left: 3.13vw;
        object-fit: contain;
        width: 11.35vw;
    }


    .text-between-lines-container {
        width: 76.25%;
    }
    
    .long-line {
        width: 76.25%;
        /* border: none;
        border-top: 1px solid white; */

    }

    .text-between-lines-container > p {
        font-size: 5vw;
        line-height: 6.25vw;
    }

    .text-between-lines-container > hr {
        width: 28.89%;
        /* border: none;
        border-top: 1px solid white; */
    }

    .huge-text {
        font-size: 14.06vw;
        line-height: 15.31vw;
        font-family: 'regular';
        letter-spacing: 8%;
    }



    .header-f-text {
        margin: 7.03vw 0 6.72vw;
        font-size: 4.22vw;
        line-height: 6.25vw;
        
    }
    
    #header-f-text-mobile{
        font-size: 5vw;
        line-height: 6.25vw;
        margin: unset;
        margin-bottom: 3vw;
    }

    .video-section-container {
        /* aspect-ratio: 640 / 748; */
        aspect-ratio: 640 / 493;

    }

    .video-text {
        /* padding: 0 5vw 2.34vw 0; */
        padding: 0 5vw 11.34vw 0;
        font-size: 3.91vw;
        line-height: 5vw;
    }

    .video-text > span {
        font-size: 3.91vw;
        line-height: 5vw;
    }








    .form-section-container{
        aspect-ratio: 640 / 767;
        align-items: center;
        background-color: black;
        position: unset;
        bottom: unset;

    }

    .form-container{
        height: unset;
        height: 98.72vw;
        width: 73.4%;
        border-radius: 5.78vw;
        
    }
    .form-inner-container {
       margin: unset;
       width: unset;
       display: flex;
       flex-direction: column;
       align-items: center;
    }

    .form-title{
        font-size: 3.13vw;
        line-height: 3.91vw;
        width: unset;
                width: 60.75vw;

        

    }

    .form{
        flex-direction: column;
        gap: 4.64vw;
    }

    .input{
        width: 60.75vw;
        height: 8.33vw;
        font-size: 3.13vw;
        line-height: 3.91vw;
        padding-right: 2.78vw;
    }

    .input::placeholder{
        font-size: 3.13vw;
        line-height: 3.91vw;
    }

    #showroom{
        width: 60.75vw;
        height: 8.33vw;
        font-size: 3.13vw;
        line-height: 3.91vw;
    }

    #submit_btn{
        width: 41.88vw;
        height: 8.28vw;
        font-size: 3.13vw;
        line-height: 3.91vw;

    }


    .checkbox_container{
        /* width: 90%; */
        width:60.75vw;
        margin-top: 3vw;

    }

    .checkbox_label{
        font-size: 2.5vw;
        line-height: 1;
    }

    .fixed-btn-img {
        object-fit: contain;
        width: 11.25vw;
    }
    .fixed-btn-text {
        object-fit: contain;
        font-size: 2.34vw;
        line-height: 2.66vw;
    }

    .swiper-section-container {
        aspect-ratio: 640 / 500;
        justify-content: center;
    
    }

    .swiper-container {
        width: 100%;
        margin-top: 8.44vw;
        margin-bottom: 3.39vw;
    }

    .swiper-title {
 
        font-size: 6.56vw;
        line-height: 9.22vw;
        letter-spacing: 3%;
        /* direction: ltr; */
        margin-bottom: 11.41vw;
        margin-right: 5.63vw;
    }

    /* .swiper{
        height: 40vw;
    } */

    .swiper-wrapper{
        height: fit-content !important;
        align-items: center;
    }


/* 
    .swiper-slide {
        margin: auto 0;
        }
    .swiper-slide-active {
        opacity: 1;
        transform: scale(2.1) !important;
        } */

    .swiper-slide {
        /* margin: auto 0; */
        transform: scale(0.5) !important;
        }
    .swiper-slide-active {
        /* opacity: 1; */
        transform: scale(1) !important;
        z-index: 1;
    }

    .swiper-slide-active >.swiper-slide-inner-container > .slide-text {
       width: 170%  ;
    }


    .swiper-slide-inner-container > img {
        width: 53.75vw;
        height: 39.69vw;
    }

    .slide-text {
        font-size: 2.81vw;
        line-height: 5vw;
   
    }


    .swiper-video{
        aspect-ratio: 1920 / 911;
        width: 90.1vw;
		height: 42.75vw;
        margin: auto;
        background-color: black;
    }


    .close-btn{
        width: 5%;
        aspect-ratio: 1 / 1;
        z-index: 9999;
        font-size: 2vw;
        position: absolute;
    }

    .strip-container {
        /* position: absolute; */
        height: fit-content;
        /* bottom: -60px; */
        width: 100%;
        height: 10vw;
        /* height: unset; */
    }

    .strip {
        max-width: 90%;
        width: 90%;
    }

    #pollutionDialog img {
  height: 80vw;
  width: 90vw;
  object-fit: contain;
}

#pollutionDialog img {
    content: url('../assets/popup_mobile.png');
  }
  #dialog_close_btn {
    font-size: 5vw;
    padding: 1vw 3vw;
  }



    .desktop-inline { display: none; }
    .desktop { display: none; }
}
